package com.sun.glassfish;

import java.io.*;
import java.util.Properties;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.naming.*;

public class Tomcat2GlassfishServlet
	extends HttpServlet {

    public void doGet(HttpServletRequest request, HttpServletResponse response)
    	throws IOException, ServletException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Hello World!</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Hello World!</h1>");
        InitialContext ctx = null;
        
        String message = null;
        Throwable exception = null;
        Class clazz = null;
        Object obj1 = null;
        Object obj2 = null;
        
        try {
        	Properties env = new Properties();

        	env.setProperty("java.naming.factory.initial",
        			"com.sun.enterprise.naming.SerialInitContextFactory");
        	env.setProperty("java.naming.factory.url.pkgs",
					"com.sun.enterprise.naming");
        	env.setProperty("java.naming.factory.state",
					"com.sun.corba.ee.impl.presentation.rmi.JNDIStateFactoryImpl");
        	
        	//Only needed if Glassfish is running on a different machine
        	env.setProperty("org.omg.CORBA.ORBInitialHost",
					"snowhelmet.sfbay.sun.com");
        	//env.setProperty("org.omg.CORBA.ORBInitialPort", "3700");

        	//clazz = Class.forName("com.sun.enterprise.naming.SerialInitContextFactory");
        	ctx = new InitialContext(env);

        	obj1 = ctx.lookup("ejb/mgmt/MEJB");
        	obj2 = ctx.lookup("com.sun.s1asdev.ejb.ejb30.hello.session.Sful__3_x_Internal_RemoteBusinessHome__");
        } catch (Throwable ex) {
        	exception = ex;
        }

        out.println("<p>");
        out.println("<h2> Date: " + (new java.util.Date()).toString());

        out.println("<p>");
        out.println("<h2> obj1 (MEJB) : " + obj1);
        out.println("<p>");
        out.println("<h2> obj2 (Sful) : " + obj2);
        
        out.println("<p>");
        out.println("<h2> ctx: " + ctx);
        
        out.println("<p>");
        out.println("<h2> exception: " + exception);
        out.println("</body>");
        out.println("</html>");
    }
}